<?php

namespace Connectix\Request;

use Connectix\Exception;

class CountriesRequest extends BaseRequest
{
	/**
	 * @inheritDoc
	 */
	protected function getBasePath()
	{
		return 'countries';
	}

	/**
	 * @param string $country ISO2 country code
	 * @return string[] Array of dates in format YYYY-MM-DD
	 * @throws Exception\BadConnectionException
	 * @throws Exception\BadRequestException
	 * @throws Exception\BadResponseBodyException
	 */
	public function fetchHolidays($country)
	{
		return $this->call('/holidays', null, ['country' => $country]);
	}
}
