<?php

namespace Connectix\Request;

use Connectix\Components\Fallback;
use Connectix\Exception\BadConnectionException;
use Connectix\Exception\BadRequestException;
use Connectix\Exception\BadResponseBodyException;

class FallbackRequest extends BaseRequest
{
	/**
	 * @inheritDoc
	 */
	protected function getBasePath()
	{
		return 'messages/fallback';
	}

	/**
	 * @param Fallback $data
	 * @param array $query
	 * @return array|string
	 *
	 * @throws BadConnectionException
	 * @throws BadRequestException
	 * @throws BadResponseBodyException
	 */
	public function send($data, $query = [])
	{
		return $this->call(null, $data, $query);
	}
}
