<?php

namespace Connectix\Request;

use Connectix\Components\IntegrationHook;
use Connectix\Components\IntegrationHookUnregister;
use Connectix\Exception\BadConnectionException;
use Connectix\Exception\BadRequestException;
use Connectix\Exception\BadResponseBodyException;

class IntegrationHookRequest extends BaseRequest
{
	/**
	 * @inheritDoc
	 */
	protected function getBasePath()
	{
		return 'integration';
	}

	/**
	 * @param IntegrationHook $data
	 * @param array $query
	 * @return array|string
	 *
	 * @throws BadConnectionException
	 * @throws BadRequestException
	 * @throws BadResponseBodyException
	 */
	public function register($data, $query = [])
	{
		return $this->call('/register/hook', $data, $query);
	}

	/**
	 * @param IntegrationHookUnregister $data
	 * @param array $query
	 * @return array|string
	 *
	 * @throws BadConnectionException
	 * @throws BadRequestException
	 * @throws BadResponseBodyException
	 */
	public function unregister($data, $query = [])
	{
		return $this->call('/unregister/hook', $data, $query);
	}
}
