<?php

namespace Connectix\Request;

use Connectix\Components\Integration;
use Connectix\Components\IntegrationUnregister;
use Connectix\Exception\BadConnectionException;
use Connectix\Exception\BadRequestException;
use Connectix\Exception\BadResponseBodyException;

class IntegrationRequest extends BaseRequest
{
	/**
	 * @inheritDoc
	 */
	protected function getBasePath()
	{
		return 'integration';
	}

	/**
	 * @param Integration $data
	 * @param array $query
	 * @return array|string
	 *
	 * @throws BadConnectionException
	 * @throws BadRequestException
	 * @throws BadResponseBodyException
	 */
	public function register($data, $query = [])
	{
		return $this->call('/register', $data, $query);
	}

	/**
	 * @param IntegrationUnregister $data
	 * @param array $query
	 * @return array|string
	 *
	 * @throws BadConnectionException
	 * @throws BadRequestException
	 * @throws BadResponseBodyException
	 */
	public function unregister($data, $query = [])
	{
		return $this->call('/unregister', $data, $query);
	}
}
