<?php

namespace Connectix\Request;

use Connectix\Exception;
use Connectix\Components\ComponentInterface;

interface RequestInterface
{
	/**
	 * @return string
	 */
	public function getToken();

	/**
	 * @param string $token
	 * @return RequestInterface
	 */
	public function setToken($token);

	/**
	 * @return bool
	 */
	public function isDev();

	/**
	 * @param bool $isDev
	 * @return RequestInterface
	 */
	public function setIsDev($isDev);

	/**
	 * @param string|null $uri
	 * @param ComponentInterface|array|null $data
	 * @param array $query
	 * @return array|string
	 * @throws Exception\BadConnectionException
	 * @throws Exception\BadRequestException
	 * @throws Exception\BadResponseBodyException
	 */
	public function call($uri = null, $data = null, $query = []);
}
