<?php

namespace Connectix\Tests\Components;

use Connectix\Components\Blacklist;
use Connectix\Exception\RequiredValueException;
use PHPUnit\Framework\TestCase;

/**
 * Class BlacklistTest
 * @package Connectix\Tests\Components
 */
class BlacklistTest extends TestCase
{
	public function testRequiredFields()
	{
		$this->expectException(RequiredValueException::class);

		$data = new Blacklist();
		$data->toArray();
	}

	public function testConvertingToArray()
	{
		$data = new Blacklist();
		$data->setPhone(MessageTest::PHONE);

		$this->assertArraySubset($data->toArray(), ['phone' => MessageTest::PHONE], true);
	}

	public function testConvertingToJson()
	{
		$data = new Blacklist();
		$data->setPhone(MessageTest::PHONE);

		$this->assertEquals($data->toJson(), json_encode(['phone' => MessageTest::PHONE]));
	}
}
