{*
* 2007-2020 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author PrestaShop SA <contact@prestashop.com>
*  @copyright  2007-2020 PrestaShop SA
*  @version  Release: $Revision: 14011 $
*  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}
<fieldset>
    <div class="panel">

        <div class="panel-heading">
            {l s='title' mod='connectix'}
        </div>

        {if 0 === count($messages)}
            <div class="alert alert-info">
                {l s='no_messages' mod='connectix'}
            </div>
        {else}
            <table width="100%" cellspacing="0" cellpadding="0" class="table">
                <thead>
                    <tr>
                        <th class="text-center">{l s='fallback' mod='connectix'}?</th>
                        <th>{l s='type' mod='connectix'}</th>
                        <th class="text-center">{l s='channel' mod='connectix'}</th>
                        <th class="text-center">{l s='status' mod='connectix'}</th>
                        <th class="text-center">{l s='created_at' mod='connectix'}</th>
                        <th></th>
                    </tr>
                </thead>

                <tbody>
                {foreach $messages as $message}
                    <tr>
                        <td class="text-center">
                            {if $message.fallback_id}
                                {l s='yes' mod='connectix'}
                            {else}
                                {l s='no' mod='connectix'}
                            {/if}
                        </td>
                        <td>{l s=$message.type mod='connectix'}</td>
                        <td class="text-center">{$message.channel}</td>
                        <td class="text-center">{l s=$message.status mod='connectix'}</td>
                        <td class="text-center">{$message.created_at}</td>
                        <td class="text-center">
                            <a href="javascript:" class="btn btn-default" data-toggle="modal" data-target="#text-{$message.id}">
                                <i class="icon-envelope"></i>
                            </a>
                            <div class="modal fade" id="text-{$message.id}" tabindex="-1" role="dialog" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-body text-left">
                                            {$message.text|nl2br}
                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">
                                                {l s='close' mod='connectix'}
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            {if 0 < count($message.inbounds)}
                                <a href="javascript:" class="btn btn-default" data-toggle="modal" data-target="#inbounds-{$message.id}">
                                    <i class="icon-comments"></i>
                                </a>

                                <div class="modal fade" id="inbounds-{$message.id}" tabindex="-1" role="dialog" aria-hidden="true">
                                    <div class="modal-dialog">
                                        <div class="modal-content">
                                            <div class="modal-body">
                                                <ul class="list-group text-left">
                                                    {foreach $message.inbounds as $inbound}
                                                        <li class="list-group-item flex-column align-items-start">
                                                            <p class="mb-1">
                                                                {if $inbound.text}
                                                                    {$inbound.text|nl2br}
                                                                {/if}
                                                                {if $inbound.media_url and $inbound.media_name}
                                                                    <a href="{$inbound.media_url}" target="_blank">
                                                                        {if $inbound.type == 'image'}
                                                                            <img src="{$inbound.media_url}" alt="{$inbound.media_name}" height="50px">
                                                                        {else}
                                                                            {$inbound.media_name}
                                                                        {/if}
                                                                    </a>
                                                                {/if}
                                                            </p>
                                                            <small>{$inbound.sent_at}</small>
                                                        </li>
                                                    {/foreach}
                                                </ul>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">
                                                    {l s='close' mod='connectix'}
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            {/if}
                        </td>
                    </tr>
                {/foreach}
                </tbody>
            </table>
            {if $viberLink}
                <a href="{$viberLink}" class="btn btn-primary" style="margin-top: 10px;">
                    {l s='open_viber' mod='connectix'}
                </a>
            {/if}
        {/if}
    </div>
</fieldset>
